# -*- coding: utf-8 -*-
# Generated by Django 1.9.2 on 2016-02-27 19:36
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('profiles', '0002_auto_20160227_1248'),
        ('category', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Application',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'ordering': ['user', 'job'],
            },
        ),
        migrations.CreateModel(
            name='Job',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=500)),
                ('description', models.CharField(max_length=500)),
                ('deadline', models.DateTimeField(null=True)),
                ('isFeatured', models.BooleanField(default=False)),
                ('isActive', models.BooleanField(default=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('employerRating', models.FloatField(null=True)),
                ('employerReview', models.TextField(blank=True, null=True)),
                ('employeeRating', models.FloatField(null=True)),
                ('employeeReview', models.TextField(blank=True, null=True)),
                ('employee', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='employee', to='profiles.Profile')),
                ('employer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employer', to='profiles.Profile')),
                ('subcategory', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='category.SubCategory')),
            ],
            options={
                'ordering': ['isFeatured', '-created'],
            },
        ),
        migrations.AddField(
            model_name='application',
            name='job',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='job.Job'),
        ),
        migrations.AddField(
            model_name='application',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='profiles.Profile'),
        ),
        migrations.AlterUniqueTogether(
            name='job',
            unique_together=set([('title', 'employer')]),
        ),
        migrations.AlterUniqueTogether(
            name='application',
            unique_together=set([('user', 'job')]),
        ),
    ]
